Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

## Class PaymentIdentification6

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_08.PaymentIdentification6

    public class PaymentIdentification6
    extends java.lang.Object

Java class for PaymentIdentification6 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentIdentification6">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InstrId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max35Text" minOccurs="0"/>
             <element name="EndToEndId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max35Text"/>
             <element name="UETR" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}UUIDv4Identifier" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `endToEndId`
`protected java.lang.String` `instrId`
`protected java.lang.String` `uetr`

### Constructor Summary

Constructors
`PaymentIdentification6()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getEndToEndId()` Gets the value of the endToEndId property.
`java.lang.String` `getInstrId()` Gets the value of the instrId property.
`java.lang.String` `getUETR()` Gets the value of the uetr property.
`void` `setEndToEndId​(java.lang.String value)` Sets the value of the endToEndId property.
`void` `setInstrId​(java.lang.String value)` Sets the value of the instrId property.
`void` `setUETR​(java.lang.String value)` Sets the value of the uetr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instrId

    protected java.lang.String instrId

#### endToEndId

    protected java.lang.String endToEndId

#### uetr

    protected java.lang.String uetr

### Constructor Detail

#### PaymentIdentification6

    public PaymentIdentification6()

### Method Detail

#### getInstrId

    public java.lang.String getInstrId()

Gets the value of the instrId property.

Returns:
  possible object is `String`

#### setInstrId

    public void setInstrId​(java.lang.String value)

Sets the value of the instrId property.

Parameters:
  `value` - allowed object is `String`

#### getEndToEndId

    public java.lang.String getEndToEndId()

Gets the value of the endToEndId property.

Returns:
  possible object is `String`

#### setEndToEndId

    public void setEndToEndId​(java.lang.String value)

Sets the value of the endToEndId property.

Parameters:
  `value` - allowed object is `String`

#### getUETR

    public java.lang.String getUETR()

Gets the value of the uetr property.

Returns:
  possible object is `String`

#### setUETR

    public void setUETR​(java.lang.String value)

Sets the value of the uetr property.

Parameters:
  `value` - allowed object is `String`